Page MenuHomePhabricator

Remove BETA from Wikidata entities dump
Closed, ResolvedPublic

Description

Since Wikidata RDF ontology is not "beta" anymore, it's time to remove BETA marker from RDF dumps. The name is now e.g. wikidata-20190617-all-BETA.ttl.bz2 but should be just wikidata-20190617-all.ttl.bz2.

Event Timeline

Smalyshev added a project: User-Smalyshev.
Smalyshev moved this task from Backlog to Next on the User-Smalyshev board.

Time to figure out who/how we notify, and put a date out for the name change.

I think we need to drop a note to wikidata-l, maybe also add something to Weekly notes (@Lea_Lacroix_WMDE ?). Not sure what else.

Because this affects downloaders, might as well blast xmldatadumps-l and tbh I would forward to wikitech-l too.

I've sent a note to wikidata and xmldatadumps-l lists.

I take care of Wikidata newsletter and TechNews. Any idea when this change will take place?

What do people think of a July 29 deadline (the start of that run)? Unfortunately we can't really do a 1st of the month change.

Seems enough for people to change their code if needed.

Smalyshev triaged this task as Normal priority.Jun 20 2019, 6:55 PM

Change 518108 had a related patch set uploaded (by Smalyshev; owner: Smalyshev):
[operations/puppet@production] Remove BETA from RDF dump filenames

https://gerrit.wikimedia.org/r/518108

Addshore moved this task from incoming to in progress on the Wikidata board.Jun 20 2019, 11:25 PM
ArielGlenn moved this task from Backlog to Active on the Dumps-Generation board.Jun 21 2019, 3:44 AM
Envlh added a comment.Jun 25 2019, 8:17 PM

Thanks for the ping! I don't use RDF dumps at the moment, and I'm fine with this change.

Smalyshev moved this task from Next to In review on the User-Smalyshev board.Jun 26 2019, 5:55 AM

@ArielGlenn I think we can merge it now?

I thought we agreed above on a July 29 deadline?

Oh, July... Somehow I've read that as "June". Maybe a bit earlier? Couple of weeks should be enough for preparing the software...

OK, let's go for July 15th then, again between runs. How does that sound? (But let's make sure that date is announced everywhere.)

Sounds good!

@ArielGlenn OK for me, I'll make sure that it's announced asap.

@ArielGlenn just to be sure, are you going to rename only the new dumps to come, or also the previous ones?

My understanding was that we would rename them going forwards only.

ArielGlenn moved this task from Active to Done on the Dumps-Generation board.Jul 3 2019, 5:49 AM

Announced ✅ on Wikidata, on the wikidata, wikidata-tech, wikitech-l, xmldatadumps-l mailing-lists, on Weekly Summary and TechNews.

Change 518108 merged by ArielGlenn:
[operations/puppet@production] Remove BETA from RDF dump filenames

https://gerrit.wikimedia.org/r/518108

Smalyshev closed this task as Resolved.Jul 14 2019, 9:40 PM
Smalyshev moved this task from Waiting/Blocked to Done on the User-Smalyshev board.